console.warn('main.js loaded')




import { world, system } from "@minecraft/server"
import { ActionFormData, ModalFormData, MessageFormData } from "@minecraft/server-ui"

world.beforeEvents.itemUse.subscribe(data => {
    let player = data.source
    let title = "Night Vision Menu"
    if (data.itemStack.typeId == "mn:menu") system.run(() => main(player))


    function main() {
        const form = new ActionFormData()
            .title(title)
            .body(`§l§6Welcome §e${player.nameTag}§6! §6Choose an Option Below!`)
            .button(`Activate Night Vision\n§7[ Click to Activate ]`, "textures/MenuIcons/ON_Icon")
            .button(`Deactivate Night Vision\n§7[ Click to Deactivate ]`, "textures/MenuIcons/OF_Icon")
            .button(`How To Use\n§7[ Click to View ]`, "textures/MenuIcons/use")
            .button(`Report a Problem\n§7[ Click to View ]`, "textures/MenuIcons/problem")
            .button(`Exit Menu`, "textures/MenuIcons/exit")
        form.show(player).then(r => {
            if (r.selection == 0) nightwarn(player)
            
            if (r.selection == 1) nightwarny(player)
            
            if (r.selection == 2) {
                player.sendMessage("1-Go To 1st button and press activate the night vision will work 2-If You Want to deactivate the night vision press the 2nd button and it will be deactivated")
            }
            
            if (r.selection == 3) {
              player.sendMessage("§lIF You Want to Report a §4Problem §r§lGo To §aMannooma §r§lChannel On @§4You§r§lTube")
              player.playSound("random.levelup")
            }
        })
    }
    
    
    function nightwarn(){
        const form2 = new MessageFormData
        form2.title("Night Vision Warning");
        form2.body("Are You Sure You Want To Activate Night Vision");
        form2.button1("No, back to the menu");
        form2.button2("Yes, activate it!");
        
        form2.show(player).then(r => {

            if (r.selection == 0) main(player)

            
            if (r.selection == 1) {
                player.runCommand(`effect @s night_vision 999`)
                player.playSound("random.levelup")
            }
        })
        
    }
    
    
    function nightwarny(){

        const form3 = new MessageFormData

        form3.title("Night Vision Warning");
        form3.body("Are You Sure You Want To Deativate Night Vision");
        form3.button1("No, back to the menu");
        form3.button2("Yes, deactivate it!");
        
        form3.show(player).then(r => {

            if (r.selection == 0) main(player)

            
            if (r.selection == 1) {
                player.runCommand(`effect @s clear`)
                player.playSound("random.levelup")
            }
        })
        
    }
    
})